LinuxQuestions.org
Did you know LQ has a Linux Hardware Compatibility List?
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Fedora
User Name
Password
Fedora This forum is for the discussion of the Fedora Project.

Notices

Reply
 
Search this Thread
Old 09-16-2004, 02:38 PM   #1
4hp
Member
 
Registered: Aug 2003
Location: The Netherlands
Distribution: Ubuntu 5.04
Posts: 68

Rep: Reputation: 15
Lightbulb After updates: ati driver installation problems


I recently installed FC2 on my machine.
First (using up2date) I download the new kernel. After the installation I ran
Code:
yum update
and updated all packages installed. I cannot boot from the new kernel (2.6.8) because of some HD problems, but that is already under discussion elsewhere on this forum. So still booting from 2.6.5.

The problem:

I cannot build the modules required for the ATI driver! I am using this FAQ. When arrivinf at step 8, it says:
Code:
[root@localhost build_mod]# sh make.sh
ATI module generator V 2.0
==========================
initializing...
Error:
XFree86 drm includes at /lib/modules/2.6.5-1.358/build/include/../drivers/char/drm do not fit this driver.
This driver is designed to only work with X4.1.0 or higher.
You can match this by getting Linux kernel 2.4.8 or higher.
But in step 7, I already patched it...

Anybody knows the solution to this very annoying problem?

Videocard: ATI Radeon 9700 Pro
Motherboard: ASUS a7n8x del. rev. 2.0 (nforce 2, drivers are working properly (sound and network))
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
ATI Driver installation? Dannyarr Fedora 3 02-02-2005 05:36 PM
Ati driver installation under 10.1-- Is there a guide? idagon Mandriva 2 11-13-2004 05:30 PM
ATI driver installation in 2.4.26 deveraux83 Slackware 1 11-05-2004 02:44 AM
Ati 3.7.0 driver installation PawnsharK Linux - Software 10 04-02-2004 04:52 PM
ATI driver installation Rav Slackware 14 05-24-2003 11:48 AM


All times are GMT -5. The time now is 11:35 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration